Welcome to the new Woodmann RCE Messageboards Regroupment
Please be patient while the rest of the site is restored.

To all Members of the old RCE Forums:
In order to log in, it will be necessary to reset your forum login password ("I forgot my password") using the original email address you registered with. You will be sent an email with a link to reset your password for that member account.

The old vBulletin forum was converted to phpBB format, requiring the passwords to be reset. If this is a problem for some because of a forgotten email address, please feel free to re-register with a new username. We are happy to welcome old and new members back to the forums! Thanks.

All new accounts are manually activated before you can post. Any questions can be PM'ed to Kayaker.

OllyAdvanced 'Hook-Injector' error

Plugin related discussions.

For plugins, tools and tutorials see <a href="/collaborative/tools/index.php/Category:OllyDbg_Extensions">OllyStuph</a>
Locked
User avatar
Admiral
Posts: 270
Joined: Mon Jan 03, 2005 2:24 pm

OllyAdvanced 'Hook-Injector' error

Post by Admiral »

Perhaps it's a long-shot, but I was wondering if anybody using OllyDbg 1.10 under Vista 64 has encountered this problem. For some reason, Olly (pre version 2.0) doesn't like WoW64 and so vanilla OllyDbg 1.10 will crash any process it launches. The OllyAdvanced plugin (1.26 beta 12) fixes this, but now each time I launch OllyDbg I get an error:
OllyAdvanced
Error in Hook-Injector Module!
This doesn't seem to affect Olly's performance, but I'm now finding that the debugger also crashes upon exit, which I'd guess is linked to this initialisation error.

It's not a huge problem as everything still 'works', but I was wondering if anybody knows of a fix, since I came up empty-handed after Googling the error.

Cheers
Admiral
www.ring3circus.com
Diary of a programmer, journal of a hacker.
Iwarez
Posts: 120
Joined: Mon Dec 24, 2001 7:53 pm

Post by Iwarez »

The 'Error in Hook-Injector Module' error is an error I also get on Vista x86. I guess it's a generic Vista only error. I've not tested with Vista 64. Just to let you know it's not bound to the 64 bit architecture.
bedrock
Member
Posts: 57
Joined: Mon Nov 18, 2002 6:24 pm

Post by bedrock »

I'm getting the same error, but with earlier Olly advanced versions (< 1.26) i dont get this error (but they don't have the x64 fix :( )
RaMMicHaeL
Junior Member
Posts: 10
Joined: Wed Jan 14, 2009 2:11 pm

Hello

Post by RaMMicHaeL »

I've recently installed Windows Vista x86 too, and started getting that message as well.
So I've patched Olly Advanced to work correctly in Windows Vista.
The patch should have no effect on Windows XP.

As a bonus, I've added a neat Detach, so Ollydbg does not terminate, and your UDD data is not lost. Quite handy.

Use only with OllyDbg 1.10, as the code uses constant addresses.

Enjoy :)
Attachments
ollyadvanced-1.26-beta12-vista-fix.rar
(44.92 KiB) Downloaded 1194 times
Locked